### robocode.control.snapshot

# Interface IScoreSnapshot

All Superinterfaces:
  Comparable

`public interface IScoreSnapshot`
`extends Comparable`

Interface of a robot/team score snapshot.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

  ## Method Summary

  `double`

  `getCurrentBulletDamageScore()`
    Returns the current bullet damage score.

  `double`

  `getCurrentBulletKillBonus()`
    Returns the current bullet kill bonus.

  `double`

  `getCurrentRammingDamageScore()`
    Returns the current ramming damage score.

  `double`

  `getCurrentRammingKillBonus()`
    Returns the current ramming kill bonus.

  `double`

  `getCurrentScore()`
    Returns the current score.

  `double`

  `getCurrentSurvivalBonus()`
    Returns the current survival bonus.

  `double`

  `getCurrentSurvivalScore()`
    Returns the current survival score.

  `String`

  `getName()`
    Returns the name of the robot.

  `double`

  `getTotalBulletDamageScore()`
    Returns the total bullet damage score.

  `double`

  `getTotalBulletKillBonus()`
    Returns the total bullet kill bonus.

  `int`

  `getTotalFirsts()`
    Returns the total number of first places.

  `double`

  `getTotalLastSurvivorBonus()`
    Returns the total last survivor score.

  `double`

  `getTotalRammingDamageScore()`
    Returns the total ramming damage score.

  `double`

  `getTotalRammingKillBonus()`
    Returns the total ramming kill bonus.

  `double`

  `getTotalScore()`
    Returns the total score.

  `int`

  `getTotalSeconds()`
    Returns the total number of second places.

  `double`

  `getTotalSurvivalScore()`
    Returns the total survival score.

  `int`

  `getTotalThirds()`
    Returns the total number of third places.

## Method Details

### getCurrentBulletDamageScore

    public double getCurrentBulletDamageScore()

> Returns the current bullet damage score.
> Returns:
>   the current bullet damage score.

### getCurrentBulletKillBonus

    public double getCurrentBulletKillBonus()

> Returns the current bullet kill bonus.
> Returns:
>   the current bullet kill bonus.

### getCurrentRammingDamageScore

    public double getCurrentRammingDamageScore()

> Returns the current ramming damage score.
> Returns:
>   the current ramming damage score.

### getCurrentRammingKillBonus

    public double getCurrentRammingKillBonus()

> Returns the current ramming kill bonus.
> Returns:
>   the current ramming kill bonus.

### getCurrentScore

    public double getCurrentScore()

> Returns the current score.
> Returns:
>   the current score.

### getCurrentSurvivalBonus

    public double getCurrentSurvivalBonus()

> Returns the current survival bonus.
> Returns:
>   the current survival bonus.

### getCurrentSurvivalScore

    public double getCurrentSurvivalScore()

> Returns the current survival score.
> Returns:
>   the current survival score.

### getName

    public String getName()

> Returns the name of the robot.
> Returns:
>   the name of the robot.

### getTotalBulletDamageScore

    public double getTotalBulletDamageScore()

> Returns the total bullet damage score.
> Returns:
>   the total bullet damage score.

### getTotalBulletKillBonus

    public double getTotalBulletKillBonus()

> Returns the total bullet kill bonus.
> Returns:
>   the total bullet kill bonus.

### getTotalFirsts

    public int getTotalFirsts()

> Returns the total number of first places.
> Returns:
>   the total number of first places.

### getTotalLastSurvivorBonus

    public double getTotalLastSurvivorBonus()

> Returns the total last survivor score.
> Returns:
>   the total last survivor score.

### getTotalRammingDamageScore

    public double getTotalRammingDamageScore()

> Returns the total ramming damage score.
> Returns:
>   the total ramming damage score.

### getTotalRammingKillBonus

    public double getTotalRammingKillBonus()

> Returns the total ramming kill bonus.
> Returns:
>   the total ramming kill bonus.

### getTotalScore

    public double getTotalScore()

> Returns the total score.
> Returns:
>   the total score.

### getTotalSeconds

    public int getTotalSeconds()

> Returns the total number of second places.
> Returns:
>   the total number of second places.

### getTotalSurvivalScore

    public double getTotalSurvivalScore()

> Returns the total survival score.
> Returns:
>   the total survival score.

### getTotalThirds

    public int getTotalThirds()

> Returns the total number of third places.
> Returns:
>   the total number of third places.